> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 40bd22ee-1031-4cd7-b1ef-6a9897b090a6
---

# Archive

> Move an Object identified by `{ticketId}` to the recycling bin.

> **Supported products**

> **Required Scopes**


## OpenAPI

````yaml specs/legacy/v3/crm-tickets-v3.json DELETE /crm/v3/objects/tickets/{ticketId}
openapi: 3.0.1
info:
  title: Tickets
  description: >-
    CRM objects such as companies, contacts, deals, line items, products,
    tickets, and quotes are standard objects in HubSpot’s CRM. These core
    building blocks support custom properties, store critical information, and
    play a central role in the HubSpot application.


    ## Supported Object Types


    This API provides access to collections of CRM objects, which return a map
    of property names to values. Each object type has its own set of default
    properties, which can be found by exploring the [CRM Object Properties
    API](https://developers.hubspot.com/docs/methods/crm-properties/crm-properties-overview).


    |Object Type |Properties returned by default |

    |--|--|

    | `companies` | `name`, `domain` |

    | `contacts` | `firstname`, `lastname`, `email` |

    | `deals` | `dealname`, `amount`, `closedate`, `pipeline`, `dealstage` |

    | `products` | `name`, `description`, `price` |

    | `tickets` | `content`, `hs_pipeline`, `hs_pipeline_stage`,
    `hs_ticket_category`, `hs_ticket_priority`, `subject` |


    Find a list of all properties for an object type using the [CRM Object
    Properties](https://developers.hubspot.com/docs/methods/crm-properties/get-properties)
    API. e.g. `GET https://api.hubapi.com/properties/v2/companies/properties`.
    Change the properties returned in the response using the `properties` array
    in the request body.
  version: v3
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-api-use-case: >-
    When a customer contacts your support team to request help with an issue,
    create a ticket to track that request and keep a record of it for future
    reference.
  x-hubspot-related-documentation:
    - name: Tickets Guide
      url: https://developers.hubspot.com/docs/guides/api/crm/objects/tickets
  x-hubspot-introduction: >-
    Use the tickets API to create and manage CRM records that represent customer
    service requests in your CRM.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Advanced
  - name: Basic
  - name: Batch
  - name: Search
paths:
  /crm/v3/objects/tickets/{ticketId}:
    delete:
      tags:
        - Basic
      summary: Archive
      description: Move an Object identified by `{ticketId}` to the recycling bin.
      operationId: delete-/crm/v3/objects/tickets/{ticketId}_archive
      parameters:
        - name: ticketId
          in: path
          required: true
          schema:
            pattern: .+
            type: string
      responses:
        '204':
          description: No content
          content: {}
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security: []
components:
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.

````